org.keycloak.models.map.realm.entity

## Class MapIdentityProviderMapperEntity

- java.lang.Object
- - org.keycloak.models.map.realm.entity.MapIdentityProviderMapperEntity

- All Implemented Interfaces:
    UpdatableEntity

      public class MapIdentityProviderMapperEntity
      extends Object
      implements UpdatableEntity

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static MapIdentityProviderMapperEntity` | `fromModel(IdentityProviderMapperModel model)`
    `Map<String,String>` | `getConfig()`
    `String` | `getId()`
    `String` | `getIdentityProviderAlias()`
    `String` | `getIdentityProviderMapper()`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setId(String id)`
    `void` | `setIdentityProviderAlias(String identityProviderAlias)`
    `void` | `setIdentityProviderMapper(String identityProviderMapper)`
    `void` | `setName(String name)`
    `static IdentityProviderMapperModel` | `toModel(MapIdentityProviderMapperEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromModel

          public static MapIdentityProviderMapperEntity fromModel(IdentityProviderMapperModel model)

    - #### toModel

          public static IdentityProviderMapperModel toModel(MapIdentityProviderMapperEntity entity)

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getIdentityProviderAlias

          public String getIdentityProviderAlias()

    - #### setIdentityProviderAlias

          public void setIdentityProviderAlias(String identityProviderAlias)

    - #### getIdentityProviderMapper

          public String getIdentityProviderMapper()

    - #### setIdentityProviderMapper

          public void setIdentityProviderMapper(String identityProviderMapper)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.